Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: [Opgelost] Terugkerende fout bij installatie of verwijdering van een programma  (gelezen 894 keer)

Offline PM

  • Lid
    • Spoorweghistorie.nl
  • Steunpunt: Nee
Sinds een paar dagen krijg ik een foutmelding na installatie van updates of na verwijdering van een programma:
"Updatemanager

Pakkethandeling is mislukt

De installatie of verwijdering van een softwarepakket is mislukt."

Details:
installArchives() failed: (Reading database ...
(Reading database ... 5%%
(Reading database ... 10%%
(Reading database ... 15%%
(Reading database ... 20%%
(Reading database ... 25%%
(Reading database ... 30%%
(Reading database ... 35%%
(Reading database ... 40%%
(Reading database ... 45%%
(Reading database ... 50%%
(Reading database ... 55%%
(Reading database ... 60%%
(Reading database ... 65%%
(Reading database ... 70%%
(Reading database ... 75%%
(Reading database ... 80%%
(Reading database ... 85%%
(Reading database ... 90%%
(Reading database ... 95%%
(Reading database ... 100%%
(Reading database ... 214509 files and directories currently installed.)
Preparing to replace libldap-2.4-2 2.4.28-1.1ubuntu4.2 (using .../libldap-2.4-2_2.4.28-1.1ubuntu4.3_i386.deb) ...
Unpacking replacement libldap-2.4-2 ...
Preparing to replace chromium-browser-l10n 25.0.1364.160-0ubuntu0.12.04.1 (using .../chromium-browser-l10n_28.0.1500.52-0ubuntu1.12.04.2_all.deb) ...
Unpacking replacement chromium-browser-l10n ...
Preparing to replace chromium-codecs-ffmpeg 25.0.1364.160-0ubuntu0.12.04.1 (using .../chromium-codecs-ffmpeg_28.0.1500.52-0ubuntu1.12.04.2_i386.deb) ...
Unpacking replacement chromium-codecs-ffmpeg ...
Preparing to replace chromium-browser 25.0.1364.160-0ubuntu0.12.04.1 (using .../chromium-browser_28.0.1500.52-0ubuntu1.12.04.2_i386.deb) ...
Unpacking replacement chromium-browser ...
Preparing to replace binutils 2.22-6ubuntu1 (using .../binutils_2.22-6ubuntu1.1_i386.deb) ...
Unpacking replacement binutils ...
Preparing to replace firefox-globalmenu 21.0+build2-0ubuntu0.12.04.3 (using .../firefox-globalmenu_22.0+build2-0ubuntu0.12.04.1_i386.deb) ...
Unpacking replacement firefox-globalmenu ...
Preparing to replace firefox 21.0+build2-0ubuntu0.12.04.3 (using .../firefox_22.0+build2-0ubuntu0.12.04.1_i386.deb) ...
Unpacking replacement firefox ...
Preparing to replace firefox-branding 21.0+build2-0ubuntu0.12.04.3 (using .../firefox-branding_22.0+build2-0ubuntu0.12.04.1_i386.deb) ...
Unpacking replacement firefox-branding ...
Preparing to replace firefox-gnome-support 21.0+build2-0ubuntu0.12.04.3 (using .../firefox-gnome-support_22.0+build2-0ubuntu0.12.04.1_i386.deb) ...
Unpacking replacement firefox-gnome-support ...
Preparing to replace firefox-locale-en 21.0+build2-0ubuntu0.12.04.3 (using .../firefox-locale-en_22.0+build2-0ubuntu0.12.04.1_i386.deb) ...
Unpacking replacement firefox-locale-en ...
Preparing to replace firefox-locale-nl 21.0+build2-0ubuntu0.12.04.3 (using .../firefox-locale-nl_22.0+build2-0ubuntu0.12.04.1_i386.deb) ...
Unpacking replacement firefox-locale-nl ...
Preparing to replace thunderbird-globalmenu 17.0.6+build1-0ubuntu0.12.04.1 (using .../thunderbird-globalmenu_17.0.7+build1-0ubuntu0.12.04.1_i386.deb) ...
Unpacking replacement thunderbird-globalmenu ...
Preparing to replace thunderbird 17.0.6+build1-0ubuntu0.12.04.1 (using .../thunderbird_17.0.7+build1-0ubuntu0.12.04.1_i386.deb) ...
Unpacking replacement thunderbird ...
Preparing to replace thunderbird-gnome-support 17.0.6+build1-0ubuntu0.12.04.1 (using .../thunderbird-gnome-support_17.0.7+build1-0ubuntu0.12.04.1_i386.deb) ...
Unpacking replacement thunderbird-gnome-support ...
Processing triggers for man-db ...
Processing triggers for bamfdaemon ...
Rebuilding /usr/share/applications/bamf.index...
Processing triggers for desktop-file-utils ...
Processing triggers for gnome-menus ...
Processing triggers for hicolor-icon-theme ...
Setting up qmail (1.06-4) ...

[color=red][i][b][b]The hostname -f command returned: $1[/b][/b][/i][/color]

Your system needs to have a fully qualified domain name (fqdn) in
order to install the var-qmail packages.

Installation aborted.

dpkg: error processing qmail (--configure):
 subprocess installed post-installation script returned error exit status 1
No apport report written because MaxReports is reached already
dpkg: dependency problems prevent configuration of qmail-run:
 qmail-run depends on qmail (>= 1.06-2.1); however:
  Package qmail is not configured yet.
dpkg: error processing qmail-run (--configure):
 dependency problems - leaving unconfigured
Setting up libldap-2.4-2 (2.4.28-1.1ubuntu4.3) ...
No apport report written because MaxReports is reached already
Setting up binutils (2.22-6ubuntu1.1) ...
Setting up firefox (22.0+build2-0ubuntu0.12.04.1) ...
Installing new version of config file /etc/apparmor.d/usr.bin.firefox ...
Please restart all running instances of firefox, or you will experience problems.
Setting up firefox-globalmenu (22.0+build2-0ubuntu0.12.04.1) ...
Setting up firefox-branding (22.0+build2-0ubuntu0.12.04.1) ...
Setting up firefox-gnome-support (22.0+build2-0ubuntu0.12.04.1) ...
Setting up firefox-locale-en (22.0+build2-0ubuntu0.12.04.1) ...
Setting up firefox-locale-nl (22.0+build2-0ubuntu0.12.04.1) ...
Setting up thunderbird (17.0.7+build1-0ubuntu0.12.04.1) ...
Setting up thunderbird-globalmenu (17.0.7+build1-0ubuntu0.12.04.1) ...
Setting up thunderbird-gnome-support (17.0.7+build1-0ubuntu0.12.04.1) ...
Setting up chromium-codecs-ffmpeg (28.0.1500.52-0ubuntu1.12.04.2) ...
Setting up chromium-browser (28.0.1500.52-0ubuntu1.12.04.2) ...
Setting up chromium-browser-l10n (28.0.1500.52-0ubuntu1.12.04.2) ...
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
Errors were encountered while processing:
 qmail
 qmail-run
Error in function:
Setting up qmail (1.06-4) ...

[color=red][i][b]The hostname -f command returned: $1[/b][/i][/color]

Your system needs to have a fully qualified domain name (fqdn) in
order to install the var-qmail packages.

Installation aborted.

dpkg: error processing qmail (--configure):
 subprocess installed post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of qmail-run:
 qmail-run depends on qmail (>= 1.06-2.1); however:
  Package qmail is not configured yet.
dpkg: error processing qmail-run (--configure):
 dependency problems - leaving unconfigured

Deze foutmelding kreeg ik na het verwijderen van VirtualBox, na een systeem-update, na installatie van bijvoorbeeld Leafpad. Hieruit maak ik op dat het niet een melding is die direct te maken heeft met wat er gebeurt: VirtualBox is correct gedeïnstalleerd, Leafpad is correct geïnstalleerd; ik weet alleen niet zeker of de systeem-update goed is weggeschreven.

De steeds terugkerende melding is altijd de in het rood gemarkeerde tekst.  :'(

Wat is hier aan de hand en hoe kom ik er netjes van af?  ???

Mod edit: Code tags toegevoegd.
« Laatst bewerkt op: 2013/07/05, 15:46:47 door PM »
Dual boot UBUNTU 12.04 LTS / Windows XP Pro op ACER Aspire 1690.


Offline Erik Krom

  • Lid
  • Steunpunt: Nee
Re: Terugkerende fout bij installatie of verwijdering van een programma
« Reactie #2 Gepost op: 2013/07/02, 18:22:06 »
Zover ik uit de melding kan halen probeert dpkg 'qmail' te installeren. Echter gaat er wat mis met de configuratie.
Probeer je qmail gericht te installeren? Zo niet dan kan je het weer verwijderen en zou de melding ook over moeten zijn.

Offline Johan van Dijk

  • Administrator
    • johanvandijk
  • Steunpunt: Nee
Re: Terugkerende fout bij installatie of verwijdering van een programma
« Reactie #3 Gepost op: 2013/07/02, 18:37:51 »
Wat staat er in de bestanden /etc/hostname en /etc/hosts ?

Offline PM

  • Lid
    • Spoorweghistorie.nl
  • Steunpunt: Nee
Re: Terugkerende fout bij installatie of verwijdering van een programma
« Reactie #4 Gepost op: 2013/07/05, 15:05:48 »
Probeer er eens als volgt vanaf te komen:
https://sites.google.com/site/computertip/fouten#TOC-Updates-en-Softwarecentrum-blokkeren
(punt 18, rechterkolom)

Heb ik gedaan: zonder resultaat. De qmail error melding blijft. En dat terwijl ik qmail nooit heb geïnstalleerd en het programma ook niet ken.  :(
« Laatst bewerkt op: 2013/07/05, 15:10:39 door PM »
Dual boot UBUNTU 12.04 LTS / Windows XP Pro op ACER Aspire 1690.

Offline PM

  • Lid
    • Spoorweghistorie.nl
  • Steunpunt: Nee
Re: Terugkerende fout bij installatie of verwijdering van een programma
« Reactie #5 Gepost op: 2013/07/05, 15:06:59 »
Zover ik uit de melding kan halen probeert dpkg 'qmail' te installeren. Echter gaat er wat mis met de configuratie.
Probeer je qmail gericht te installeren? Zo niet dan kan je het weer verwijderen en zou de melding ook over moeten zijn.

Nee, ik probeerde niks.... Ik vind qmail ook nergens terug in het Softwarecentrum.  :(

UPDATE: ik heb qmail gevonden in het softwarecentrum en de installatie kunnen verwijderen! :)
« Laatst bewerkt op: 2013/07/05, 15:44:20 door PM »
Dual boot UBUNTU 12.04 LTS / Windows XP Pro op ACER Aspire 1690.

Offline PM

  • Lid
    • Spoorweghistorie.nl
  • Steunpunt: Nee
Re: Terugkerende fout bij installatie of verwijdering van een programma
« Reactie #6 Gepost op: 2013/07/05, 15:10:04 »
Wat staat er in de bestanden /etc/hostname en /etc/hosts ?

Er zijn geen bestanden /etc/hostname en/of /etc/hosts....  :(
Dual boot UBUNTU 12.04 LTS / Windows XP Pro op ACER Aspire 1690.

Offline PM

  • Lid
    • Spoorweghistorie.nl
  • Steunpunt: Nee
Re: Terugkerende fout bij installatie of verwijdering van een programma
« Reactie #7 Gepost op: 2013/07/05, 15:45:55 »
 :D Iedereen bedankt voor de goede adviezen!  't Probleem is opgelost!!  :laugh:
Dual boot UBUNTU 12.04 LTS / Windows XP Pro op ACER Aspire 1690.

Offline Johan van Dijk

  • Administrator
    • johanvandijk
  • Steunpunt: Nee
Wat was het probleem precies en wat was de oplossing? Dan hebben anderen misschien ook nog wat aan dit topic :)

Offline PM

  • Lid
    • Spoorweghistorie.nl
  • Steunpunt: Nee
Wat was het probleem precies en wat was de oplossing? Dan hebben anderen misschien ook nog wat aan dit topic :)

Het bleek inderdaad zo te zijn dat qmail deels geïnstalleerd was, onvolledig dus. Dit moet gebeurd zijn toen ik in terminal het commando 'show' invoerde, uitgaande van het feit dat Unix dit commando kent 'sh'. Ook in OpenVMS is dit een valide commando.

Op dat moment heeft het systeem besloten qmail te gaan installeren. Het is mij niet bekend of er in qmail wel een 'show'-commando bestaat.

Ik heb de onvolledige installatie na enig zoekwerk kunnen terugvinden in softwarecentrum en kon het dus toen verwijderen. De foutmeldingen zijn verleden tijd.
Opgelost dus.... ^-^
Dual boot UBUNTU 12.04 LTS / Windows XP Pro op ACER Aspire 1690.